### Constructor

# Gtk.ToggleButton.new_with_label

#### Declaration [src]

    GtkWidget*
    gtk_toggle_button_new_with_label (
      const char* label
    )

#### Description [src]

Creates a new toggle button with a text label.

#### Parameters

`label` | `const char*`
| a string containing the message to be placed in the toggle button.
| Ownership is not transferred to the callee
| The string is a NUL terminated UTF-8 string

#### Return value

Returns: `GtkWidget`
a new toggle button.
Ownership is not transferred to the caller